/* VARIABLES */
:root {
	/* COLORS */
	--white-color: #efefef;
	--pr-color: #4E417D;
	--pr-dark-color: #26203D;
	--sc-color: #00FF7B;

	/* FONT SIZES */
	--nav-link: 15px;
	--hero-title: 90px;
	--hero-subtitle: 27px;
	--title: 52px;
	--subtitle: 18px;
	--card-title: 18px;
	--card-text: 12px;
	--card-link: 14px;
	--proyect-title: 26px;
	--proyect-text: 14px;
	--proyect-link: 16px;
	--form-text: 15px;
	--button-text: 15px;
	/* Rsponsive*/
	--nav-link-sm: 12px;
	--hero-title-md: 80px;
	--hero-title-sm: 70px;
	--hero-subtitle-md: 24px;
	--hero-subtitle-sm: 16px;
	--title-sm: 45px;
	--subtitle-sm: 14px;
	--button-text-md: 12px;

	/* FONT WEIGHT */
	--nav-link-w: 700;
	--hero-title-w: 700;
	--hero-subtitle-w: 500;
	--title-w: 600;
	--subtitle-w: 600;
	--card-title-w: 600;
	--card-text-w: 400;
	--card-link-w: 600;
	--proyect-title-w: 600;
	--proyect-text-w: 400;
	--proyect-link-w: 600;
	--form-text-w: 400;
	--button-text-w: 500;
}


/* GENERAL */
html {
	scroll-behavior: smooth;
}

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

h1, h2, h3, h4, h5, h6 {
	margin: 0;
}

body {
	font-family: 'Poppins', sans-serif;
	background: var(--pr-dark-color);
	color: var(--white-color);
}

button {
	font-family: inherit;
	border: none;
	background: none;
}

ul {
	list-style: none;
}

a {
	text-decoration: none;
}

.btn {
	background-color: var(--sc-color);
	color: var(--pr-dark-color);
	font-size: var(--button-text);
	font-weight: var(--button-text-w);
	padding: 15px 25px;
	border-radius: 10px;
	cursor: pointer;
}

.section {
	padding: 0 80px;
	height: 100vh;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: flex-start;
	border-bottom: .5px solid var(--pr-color);
}

.section__title {
	display: flex;
	flex-direction: column-reverse;
	margin-bottom: 40px;
}

.section__title p {
	color: var(--sc-color);
	font-size: var(--subtitle);
	font-weight: var(--subtitle-w);
	text-transform: uppercase;
	margin-bottom: 5px;
}

.section__title h3 {
	font-size: var(--title);
	font-weight: var(--title-w);
}

@media screen and (max-width: 990px) {
	.section {
		padding: 0 2.5%;
	}
}

@media screen and (max-width: 600px) {
	.section {
		padding: 0 5%;
		height: auto;
	}

	.section__title p {
		font-size: var(--subtitle-sm);
	}

	.section__title h3 {
		font-size: var(--title-sm);
	}
}


/* NAV */
.header {
	background: var(--pr-color);
	width: 240px;
	height: 100vh;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	gap: 30px;
	position: fixed;
}

.profile-img {
	width: 211px;
}

.logo {
	display: none;
}

.fa-bars, .fa-xmark {
	color: var(--white-color);
	display: none;
	font-size: 25px;
	cursor: pointer;
}

.nav ul {
	text-align: center;
	display: flex;
	flex-direction: column;
	gap: 30px;
}

.nav__link {
	color: var(--white-color);
	font-size: var(--nav-link);
	font-weight: var(--nav-link-w);
	text-transform: uppercase;
	transition: all .5s ease ;
}

.nav__link:hover {
	color: var(--sc-color);
}

@media screen and (max-width: 990px) {
	.header {
		width: 95%;
		height: 100px;
		flex-direction: row;
		justify-content: space-between;
		gap: 0;
		padding: 0 40px;
		border-radius: 16px;
		right: 2.5%;
		top: 20px;
		box-shadow: 0px 0px 16px -3px rgba(0,0,0,0.40);
		-webkit-box-shadow: 0px 0px 16px -3px rgba(0,0,0,0.40);
		-moz-box-shadow: 0px 0px 16px -3px rgba(0,0,0,0.40);
		z-index: 999;
	}

	.profile-img {
		display: none;
	}

	.logo {
		display: block;
		font-size: 40px;
		font-weight: 700;
		color: var(--white-color);
	}

	.fa-bars, .fa-xmark {
		display: block;
	}

	.nav {
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		text-align: center;
		background: var(--pr-color);
		border-radius: 16px;
		padding: 30px 0;
		transform: translateY(-200%);
		transition: transform .5s ease;
		box-shadow: 0px 0px 16px -3px rgba(0,0,0,0.40);
		-webkit-box-shadow: 0px 0px 16px -3px rgba(0,0,0,0.40);
		-moz-box-shadow: 0px 0px 16px -3px rgba(0,0,0,0.40);
	}

	.nav ul {
		margin-top: 30px;
	}

	.nav.active {
		transform: translateY(0);
	}
}

@media screen and (max-width: 600px) {
	.header {
		height: 80px;
		width: 90%;
		right: 5%;
	}

	.logo {
		font-size: 30px;
	}

	.fa-bars, .fa-xmark {
		font-size: 20px;
	}

	.nav__link {
		font-size: var(--nav-link-sm);
	}
}


/* MAIN */ 
.main {
	margin-left: 240px;
}

@media screen and (max-width: 990px) {
	.main {
		margin-left: 0;
	}
}


/* HOME */

.hero__title {
	font-size: var(--hero-title);
	font-weight: var(--hero-title-w);
	text-transform: uppercase;
	color: var(--sc-color);
}

.hero__subtitle {
	font-size: var(--hero-subtitle);
	font-weight: var(--hero-subtitle-w);
	color: var(--white-color);
}

.hero .btn {
	margin-top: 30px;
}

@media screen and (max-width: 990px) {
	.hero {
		padding-top: 50px;
	}

	.hero.section {
		height: 100vh;
	}
}

@media screen and (max-width: 600px) {
	.hero {
		padding-top: 40px;
	}

	.hero__title {
		font-size: var(--hero-title-sm);
	}
	
	.hero__subtitle {
		font-size: var(--hero-subtitle-sm);
	}

	.btn {
		font-size: var(--button-text-md);
		padding: 10px 20px;
	}
}


/* SERVICES */

.services__cards {
	max-width: 1100px;
	display: flex;
	gap: 30px;
}

.services__card {
	width: calc(100% / 3);
	background: var(--pr-color);
	padding: 30px;
	display: flex;
	flex-direction: column;
	gap: 15px;
	justify-content: center;
	align-items: flex-start;
	border-radius: 12px;
	transition: box-shadow .3s ease;
}

.services__card:hover {
	-webkit-box-shadow: -6px 6px 0px 0px var(--sc-color);
	-moz-box-shadow: -6px 6px 0px 0px var(--sc-color);
	box-shadow: -6px 6px 0px 0px var(--sc-color);
}
.card__icon {
	width: 50px;
	height: 50px;
	display: flex;
	justify-content: center;
	align-items: center;
	color: var(--pr-dark-color);
	font-size: 22px;
	background: var(--sc-color);
	border-radius: 12px;
}

.card__title {
	font-size: var(--card-title);
	font-weight: var(--card-title-w);
}

.card__text {
	font-size: var(--card-text);
	font-weight: var(--card-text-w);
	line-height: 1.5;
}

.card__link {
	font-size: var(--card-link);
	font-weight: var(--card-link-w);
	color: var(--white-color);
	position: relative;
}

.card__link:after {
	content: "";
	position: absolute;
	width: 0%;
	height: 2px;
	background-color: var(--sc-color);
	top: 110%;
	left: 0;
	transition: all .3s ease
}

.card__link:hover {
	color: var(--sc-color);
	transition: all .5s ease;
}

.card__link:hover.card__link:after {
	width: 100%;
}

@media screen and (max-width: 990px) {
	.services {
		padding: 0 2.5%;
	}
}

@media screen and (max-width: 600px) {
	.services {
		padding: 100px 5%;
	}

	.services__cards {
		flex-direction: column;
	}

	.services__card {
		width: 100%;
		padding: 30px;
	}
}


/* TECHNOLOGIES */

.technologies .section__title {
	margin-bottom: 15px;
}

.techs {
	display: flex;
	gap: 15px;
	flex-wrap: wrap;
}

.tech__item {
	background-color: var(--pr-color);
	width: 60px;
	height: 60px;
	font-size: 40px;
	display: flex;
	justify-content: center;
	align-items: center;
	border-radius: 12px;
	transition: box-shadow .3s ease;
}

.devicon-bootstrap-plain,
.devicon-redux-original {
	color: var(--pr-dark-color);
}

.tech__item:hover {
	-webkit-box-shadow: -4px 4px 0px 0px var(--sc-color);
	-moz-box-shadow: -4px 4px 0px 0px var(--sc-color);
	box-shadow: -4px 4px 0px 0px var(--sc-color);
}

.techs-1 {
	margin-bottom: 50px;
}

@media screen and (max-width: 600px) {
	.technologies {
		padding: 100px 5%;	
	}
}


/* PROYECTS */ 

.proyects.section {
	height: auto;
	padding: 100px 80px;
}

.proyects-container {
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	gap: 30px;
}

.proyect__card {
	background: var(--pr-color);
	border-radius: 12px;
	padding-bottom: 20px;
	transition: box-shadow .3s ease;
}

.proyect__card:hover {
	-webkit-box-shadow: -6px 6px 0px 0px var(--sc-color);
	-moz-box-shadow: -6px 6px 0px 0px var(--sc-color);
	box-shadow: -6px 6px 0px 0px var(--sc-color);
}

.proyect__card img {
	width: 100%;
	border-radius: 12px;
}

.proyect__card h4,
.proyect__card p,
.proyect__card a {
	padding: 0 20px;
}

.proyect__card h4 {
	font-size: var(--proyect-title);
	font-weight: var(--proyect-title-w);
	margin: 15px 0;
}

.proyect__card p {
	font-size: var(--proyect-text);
	font-weight: var(--proyect-text-w);
	margin-bottom: 20px;
	line-height: 1.5;
}

.proyect__card a {
	font-size: var(--proyect-link);
	font-weight: var(--proyect-link-w);
	color: var(--white-color);
	position: relative;
	transition: all .3s ease;
}

.proyect__card a::before {
	content: "";
	position: absolute;
	top: 110%;
	height: 3px;
	width: 0;
	background: var(--sc-color);
	transition: all .3s ease;
}

.proyect__card a:hover {
	color: var(--sc-color);
}

.proyect__card a:hover::before {
	width: calc(100% - 40px);
}

@media screen and (max-width: 600px) {
	.proyects.section {
		padding: 100px 5%;
	}

	.proyects-container {
		grid-template-columns: repeat(1, 1fr);
	}
}


/* CONTACT */

.contact {
	align-items: center;
	text-align: center;
}

#contact-form {
	width: 70%;
	max-width: 800px;
	display: flex;
	flex-direction: column;
	background: var(--pr-color);
	padding: 40px;
	border-radius: 12px;
	gap: 30px;
}

input {
	width: 100%;
	height: 40px;
	background: var(--pr-color);
	border-radius: 0;
	border: none;
	border-bottom: 2px solid var(--sc-color);
	color: var(--white-color);
	outline: none;
	font-size: 12px;
}

input::placeholder, textarea::placeholder {
	color: var(--white-color);
	font-size: 12px;
}

textarea {
	background: var(--pr-color);
	border: none;
	padding-top: 10px;
	border-radius: 0;
	border-bottom: 2px solid var(--sc-color);
	resize: none;
	outline: none;
	color: var(--white-color);
	font-size: 12px;
}

input[type="submit"] {
	background: var(--sc-color);
	border: none;
	border-radius: 12px;
	color: var(--pr-dark-color);
	font-size: 14px;
	font-weight: 500;
	cursor: pointer;
}

@media screen and (max-width: 600px) {
	.contact {
		padding: 100px 5%;
	}
	#contact-form {
		width: 100%;
	}
}


/* FOOTER */

footer {
	padding: 80px;
	margin-left: 240px;
	width: calc(100% - 240px);
	display: flex;
	justify-content: space-between;
	align-items: center;
}

footer h5 {
	font-size: 12px;
	font-weight: 400;
}

footer span {
	font-weight: 600;
}

.social-circles {
	display: flex;
	gap: 15px;
}

.social-icon {
	width: 30px;
	height: 30px;
	border-radius: 50%;
	display: flex;
	align-items: center;
	justify-content: center;
	background: var(--pr-color);
	color: var(--pr-dark-color);
	font-size: 18px;
}

@media screen and (max-width: 990px) {
	footer {
		margin-left: 0;
		width: 100%;
	}
}

@media screen and (max-width: 600px) {
	footer {
		flex-direction: column;
		justify-content: center;
		align-items: center;
		gap: 20px;
	}
}